"""
The UHC index structure.
"""


__metaclass__ = type    



from random import randint
from util import GenericMetricList
from aesa import AESA
from hc import HC
class UHC2(HC):
    def split(self,list):
        n = len(list)
        k = int(n)
        return max(self.bucketsize,int(n/3))
    
USABLE = True
INDEX_NAME = "UHC2"
INDEX_CLASS = UHC2
OPTIMIZES_COMBINED_SEARCH = False
BIBTEX_KEYS = "Fredriksson:2005,Fredriksson:2006"