"""
The HSA-Tree index structure.

Kombinasjon av SA og pivot...van

"""

__metaclass__ = type

__metaclass__ = type

import util
from approximatedist import IndexingDfunc
from satree import SATree,SANode

nodes = 0
class HSATree(SATree):
    def __init__(self, metriclist):
        self.dfunc = IndexingDfunc(metriclist.getDistance)
        self.root = SANode(metriclist[0],self.dfunc)
        l = [x for i,x in enumerate(metriclist) if i > 0]
        global nodes
        nodes = 0
        self.root.index(self.root.sortrange(l))
        print "There are %d inner nodes"%nodes
        
    def range_search(self,query,range):
        self.dfunc.startquery(query)
        retlist = super(HSATree,self).range_search(query,range)
        self.dfunc.stopquery()
        return retlist
    
    def knn_search(self,query,n):
        self.dfunc.startquery(query)
        retlist = super(HSATree,self).knn_search(query,range)
        self.dfunc.stopquery()
        return retlist 

USABLE = False
KNN = True
INDEX_NAME = "HSA-Tree"
INDEX_CLASS = HSATree
OPTIMIZES_COMBINED_SEARCH = False
BIBTEX_KEYS = "Arroyuelo:2003a,Arroyuelo:2003,Chavez:2004"