package bonsai.indexes;

public class PMStarTree<T> extends AbstractMTree<T> {
	
	public PMStarTree(T[] data, DistanceFunction df, int capacity, int nPivots, boolean bustos){
		super(new PMStarTreeNode<T>(df, capacity, bustos ? PMTree.extractPivotsBustos(data, nPivots, df) : PMTree.extractPivots(data, nPivots)), df);
		for(T o: data){
			if(o != null) insert(o);
		}
	}
	
}
