package bonsai.indexes;

public class PMTreeEntry<T> extends MTreeEntry<T> {
	
	public double[] pdmin, pdmax;
	
	public PMTreeEntry(T obj, double radius, PMTreeNode<T> subtree, int np){
		super(obj, radius, subtree);
		pdmin = new double[np];
		pdmax = new double[np];
	}
}
