package bonsai.javaimps;

import java.util.*;

public class PivotSelectorHelper {
	public static <T> List<T> getRandomObjects(List<T> list,int n) {
		Random rand = new Random();
		
		if(n > list.size()) {
			n = list.size();
		}
		int max = list.size();
		HashMap<Integer,Integer> map = new HashMap<Integer,Integer>();
		
		ArrayList<T> result = new ArrayList<T>();
		for(int i = 0;i<n;i++) {
			int r = rand.nextInt(max-i);
			int res;
			if(map.containsKey(r)) {
				res = map.get(r);
			} else {
				res = r;
			}
			map.put(r,max-i-1);
			result.add(list.get(res));
		}
		return result;
		
	}

}
