"""
The UHC index structure.
"""


__metaclass__ = type    



from random import randint
from util import GenericMetricList
from aesa import AESA
from hc import HC
class UHC(HC):
    def split(self,list):
        n = len(list)
        return max(int((float(n)**(1.0/1.4))/2),self.bucketsize)
    
USABLE = True
INDEX_NAME = "UHC"
INDEX_CLASS = UHC
OPTIMIZES_COMBINED_SEARCH = False
BIBTEX_KEYS = "Fredriksson:2005,Fredriksson:2006"