"""
The UPHC index structure.
"""


__metaclass__ = type    



from random import randint
from util import GenericMetricList
from aesa import AESA
from phc import PHC
class UPHC(PHC):
    def split(self,list):
        n = len(list)
        return int((n**(1.0/1.5))/2)
    
USABLE = True
INDEX_NAME = "UPHC"
INDEX_CLASS = UPHC
OPTIMIZES_COMBINED_SEARCH = False
BIBTEX_KEYS = "Fredriksson:2005,Fredriksson:2006"