package metrics.core;
import java.util.List;
import java.io.*;

/**
 * An interface that combines Metric and List. An abstract implementation with arraylist is
 * provided.
 * @author arnebef
 *
 */
public interface MetricList<T extends MetricObject> extends List<T>,Serializable {
	public double getDistance(T a,T b);	
	
}
