from metric import Metric
try:
    import Euclidian
except:
    class Euclidian(Euclidian):
        def __init__(self,dimensions=5,lp=2):
            self.dimensions = dimensions
            self.lp = lp
    
        def generateDfunc(self):
            def dfunc(a,b):
                return sum([abs(a[i]-b[i])**self.lp for i in xrange(self.dimensions)])**(1.0/self.lp)
            return dfunc
        
        def generateData(self,size=1000):
            self.data = self.generateRandomQueries(size)
    
        def generateRandomQueries(self,num=1):
            from bonsai.util import DMArray
            import random
            
            data = []
            for i in xrange(num):
                data.append([])
                for j in xrange(self.dimensions):
                    data[i].append(random.uniform(0,1))
            return data
            #data = DMArray((num,self.dimensions))
            #for i in xrange(num):
            #    for j in xrange(self.dimensions):
            #        data[i,j] = random.uniform(0,1)
            #return data
